import { SvelteComponentTyped } from "svelte";
import type { FormColorType } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        name: string;
        color?: FormColorType;
        custom?: boolean;
        inline?: boolean;
        group: {
            value: string;
            label: string;
            isChecked?: boolean;
        }[];
        choices: {
            value: string;
            label: string;
            isChecked?: boolean;
        }[];
        value?: string | number;
        checked?: boolean | undefined;
        spacing?: string;
    };
    events: {
        keyup: KeyboardEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        focus: FocusEvent;
        blur: FocusEvent;
        click: MouseEvent;
        mouseover: MouseEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        paste: ClipboardEvent;
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CheckboxProps = typeof __propDef.props;
export type CheckboxEvents = typeof __propDef.events;
export type CheckboxSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let name: string;
 * @prop export let color: FormColorType = 'primary';
 * @prop export let custom: boolean = false;
 * @prop export let inline: boolean = false;
 * @prop export let group: CheckboxItem[];
 * @prop export let choices: CheckboxItem[];
 * @prop export let value: string | number = 'on';
 * @prop export let checked: boolean | undefined = undefined;
 * @prop export let spacing: string = $$slots.default ? 'me-2' : '';
 */
export default class Checkbox extends SvelteComponentTyped<CheckboxProps, CheckboxEvents, CheckboxSlots> {
}
export {};
